/** ********************************************************************************************************************
 * @file        crc16_ccitt.h
 * @author      Brioconcept Consulting, Inc.
 * @date        2013-10-21
 * @brief       Function to compute CRC16 from lookup table
 * @copyright   Brioconcept Consulting, Inc., 2016, Licensed under BSD license. See LICENSE file for more details.
 *
 ** *******************************************************************************************************************/
#ifndef _CRC16_CCITT_H
#define _CRC16_CCITT_H

#ifdef __cplusplus
extern "C" {
#endif

// Preprocessor definitions --------------------------------------------------------------------------------------------

#define CRC16_CCITT_SEED_VALUE      0xFFFF          ///< Initial CRC value for CITT.


// Global Functions Prototypes ----------------------------------------------------------------------------------------

unsigned short crc16_ccitt_update(unsigned short crc, unsigned char data);

#ifdef __cplusplus
}
#endif

#endif  // _CRC16_CCITT_H
